Name:           lbzip2
Version:        0.23
Release:        1
Summary:        Fast, multi-threaded bzip2 utility
Group:          Applications/File
License:        GPLv2+
URL:            http://lacos.hu/
Source0:        http://lacos.web.elte.hu/pub/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  bzip2 >= 1.0.2, make
Requires:       bzip2 >= 1.0.2


%description
lbzip2 is a multi-threaded implementation of bzip2, suited for serial and
parallel processing.  On a multi-core computer, lbzip2 is commonly the fastest
bzip2 decompressor for most bz2 files found on the internet.  (On dual-core
computers, the 7za utility from the p7zip package may prove more efficient.)

lbzip2 integrates nicely with GNU tar. Even on single-core computers, lbzip2
can speed up archiving in combination with tar, because lbzip2 allows
compression to overlap with disk usage to a greater extent than bzip2 does.


%prep
%setup -q -n %{name}
%patch0


%build
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
ln -s %{name} ${RPM_BUILD_ROOT}%{_bindir}/lbunzip2
ln -s %{name} ${RPM_BUILD_ROOT}%{_bindir}/lbzcat
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
ln -s %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/lbunzip2.1
ln -s %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/lbzcat.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp malloc_trace.pl ${RPM_BUILD_ROOT}%{_datadir}/%{name}/malloc_trace.pl
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog GPL-2.0 GPL-3.0 README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Nov 07 2011 Michael Perzl <michael@perzl.org> - 0.23-1
- first version for AIX V5.1 and higher
